Subject: bug#40231: sql.el: patch for syntax table propertizing escaped apostrophes in SQL strings as punctuation syntax class

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 Aug 2020 15:35:14 +0200

"Florian v. Savigny" <[email-masked]> writes:

> The attached is a diff against sql.el version 3.6 as shipped with
> Emacs 26.3. that implements propertizing such double apostrophes
> within strings with a punctuation syntax table property. (I have
> posted the code with exhaustive comments, which I thought excessive
> for working code, at the above URL.)

Thanks!

I don't use sql-mode much, but I tested the patch, and it seems to fix
the problem with strings 'like''this', so I've applied it to Emacs 28.1.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no